<?php

/*
CLASSE COPIADA COM MODIFICAÇÕES DA DEPENDENCIA 'TEKNISA/LIBRARIES' VERSÃO: '3.0.24'. NAMESPACE ORIGINAL 'Teknisa\Libs\Service'
*/

namespace Ems\Auth\Service;

use Zeedhi\Framework\Session\Session;

use Ems\Auth\Login\UserDataProvider;

class Api {
    /** @var Session $sessionManager */
	protected $sessionManager;
    /** @var UserDataProvider $UserDataProvider */
    private $userDataProvider;

    /**
     * @param Session $sessionManager
     * @param UserDataProvider $userDataProvider
     */
    public function __construct(Session $sessionManager, UserDataProvider $userDataProvider) {
        $this->sessionManager = $sessionManager;
        $this->userData = $userDataProvider;

        $config = json_decode(file_get_contents(__DIR__ . '/../../../config/MenuConfig.json'), true);
        $this->modulesPath = $config['modulesPath'];
    }

    /**
     * @param $user
     * @param $password
     * @return array
     */
    public function getUserData($user, $password) {
        return $this->userData->getUserData($user, $password);
    }

}